properties object when creating or updating a connection. All properties are nested within the connection request body.
Properties
Authentication type for Snowflake. Use
pwd for password authentication or oidc for OIDC authentication. For OIDC, see OIDC properties.Snowflake account identifier.Format:
{account_identifier}.{region}.{cloud_provider}.snowflakecomputing.comReference to a Prophecy secret containing the Snowflake password.
- When using the create connection API, the secret must be stored in Prophecy before creating the connection.
- When using the create fabric API, replace this whole object with the string
{{SECRET}}, which references the secret being created in parallel to the connection.
Snowflake role to use for the connection. Determines the permissions and access level for
operations.
OIDC properties
WhenauthType is oidc, omit username and password and provide the following properties instead. The account, warehouse, database, schema, and role properties are the same as for password authentication.
Reference to a Prophecy secret containing the service principal client secret. Optional, because the certificate and private key authenticate the service principal.
- When using the create connection API, the secret must be stored in Prophecy before creating the connection.
- When using the create fabric API, replace this whole object with the string
{{SECRET}}, which references the secret being created in parallel to the connection.
Reference to a Prophecy secret containing the service principal’s PEM certificate.
- When using the create connection API, the secret must be stored in Prophecy before creating the connection.
- When using the create fabric API, replace this whole object with the string
{{SECRET}}, which references the secret being created in parallel to the connection.
Reference to a Prophecy secret containing the service principal’s PEM private key.
- When using the create connection API, the secret must be stored in Prophecy before creating the connection.
- When using the create fabric API, replace this whole object with the string
{{SECRET}}, which references the secret being created in parallel to the connection.

